##  for PCLinuxOS  ##

%define ver 1.7.0
%define rel 0.1.nora16

%define m17n_db_version 1.7.0
%define libotf_version  0.9.11

%define major     0
%define libname   %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:    m17n-lib
Summary: Multilingual text processing library
Version: %{ver}
Release: %{rel}
Group:   System/Internationalization
License: LGPLv2+
URL:     https://savannah.nongnu.org/projects/m17n
Source0: http://download.savannah.gnu.org/releases/m17n/%{name}-%{version}.tar.gz
#Patch1:  locale.c.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: m17n-db-devel >= %{m17n_db_version}
BuildRequires: automake
BuildRequires: libxml2-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: freetype2-devel
BuildRequires: libgd-devel >= 2.0
#BuildRequires: %{_lib}jpeg62-static-devel
BuildRequires: anthy-devel >= 6300d
BuildRequires: %{_lib}otf-devel >= %{libotf_version}
BuildRequires: libfribidi-devel
BuildRequires: gettext-devel
BuildRequires: %{_lib}thai-devel
#
BuildRequires: fontconfig-devel
BuildRequires: libxaw-devel
BuildRequires: libxft-devel
BuildRequires: libxt-devel

Requires: %{libname} = %{version}-%{release}
Requires: fonts-ttf-freefont
Requires: m17n-db >= %{m17n_db_version}
Requires: libotf >= %{libotf_version}

%description
The m17n library is a multilingual text processing library for the C language.

# -----------------------------------------------

%package -n %{libname}
Summary: The m17n library
Group:   System/Internationalization

%description -n %{libname}
m17n library.

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

# -----------------------------------------------

%package -n %{develname}
Summary:  Headers of m17n for development
Group:    Development/C
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}m17n-lib0-devel

%description -n %{develname}
Headers of %{name} for development.

# -----------------------------------------------

%package doc
Summary: %{name} documentation
Group:   Books/Computer books
BuildArch: noarch

%description doc
This package contains all API documentation for %{name}.

# -----------------------------------------------

%prep
%setup -q -n %{name}-%{version}
#%%patch1 -p1


%build
%configure2_5x --disable-static
make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

find $RPM_BUILD_ROOT -name '*.la' -delete

# multiarch policy
#%%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/m17n-config


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%{_bindir}/m17n-conv
%{_bindir}/m17n-date
%{_bindir}/m17n-dump
%{_bindir}/m17n-edit
%{_bindir}/m17n-view
%{_libdir}/m17n/*/*.so

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_bindir}/m17n-config
#%%multiarch %{multiarch_bindir}/m17n-config
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files doc
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README


%changelog
* Fri Feb 05 2016 tomcat <> 1.7.0-0.1
- 1.7.0
- drop Patch1 merged upstream
- drop BR:%%{_lib}jpeg62-static-devel

* Sun Feb 03 2013 pinoc <vogtpet at gmail.com>1.6.0-4pclos2013
- rebuild on 64

* Sat Jan 29 2011 Texstar <texstar at gmail.com> 1.6.0-3pclos2011
- add debian patch

* Sun Aug 15 2010 Texstar <texstar at gmail.com> 1.6.0-2pclos2010
- rebuild against updated libdatrie

* Sat Apr 24 2010 pcserver <pcserver at hush.com> 1.6.0-1pclos2010
- 1.6.0
- split doc files

* Wed Jan 06 2010 pcserver <pcserver at hush.com> 1.5.5-1pclos2010
- 1.5.5

